;;; -*- Mode:Lisp; Patch-File:Yes; Package:CHAOS-INTERNALS; Base:10 -*-
;;; Close-conn on closed channel
;;; Written 4/26/83 01:22:21 by PAO
;;; Experimental Chaos 3.2, Experimental Lisp 365.4, VM 982


(defmethod (connection :vms-open?) ()
  (not (zerop vms-channel)))


(defun close-conn (conn &optional (reason ""))
  (when (send conn ':vms-open?)
    (when (= (send conn ':state) conn$k_open)
      (send conn ':close ':reason reason))
    (remove-conn conn)))
