;;; -*- Mode:Lisp; Patch-File:Yes; Package:CHAOS-INTERNALS; Base:10 -*-
;;; with-connection
;;; <PAO.CHAOS.NIL>3P5.LSP.2,  2-May-83 19:12:43, Edit by PAO
;;; Written 4/26/83 02:19:57 by PAO
;;; Experimental Chaos 3.4, Experimental Lisp 365.4, VM 982


(defmacro with-connection ((conn-name conn-form)
			   &body body)
  `(let ((,conn-name nil))
     (unwind-protect
      (progn
       (setq ,conn-name ,conn-form)
       ,@body)
      (and ,conn-name (chaos:close-conn ,conn-name)))))

(globalize 'with-connection 'chaos)
