;;; -*- Mode:Lisp; Patch-File:Yes; Base:10; Package:CHAOS-INTERNALS -*-
;;; MAKE-STREAM
;;; Written 6/06/83 19:29:19 by GJC
;;; Experimental Chaos 6.0, Lisp 259.2, VM 992


(defun chaos:make-stream (conn &key &optional (direction ':bidirectional)
			       (characters t) (ascii-translation nil)
			       timeout	; ignored
			       type	;also ignored
			       &aux new
			       )
  timeout type
  (setq new
	(make-instance
	 (case direction
	   (:input
	    (cond (ascii-translation 'chaos-input-ascii-translating-stream)
		  (characters 'chaos-input-character-stream)
		  (t 'chaos-binary-input-stream)))
	   (:output
	    (cond (ascii-translation 'chaos-output-ascii-translating-stream)
		  (characters 'chaos-output-character-stream)
		  (t 'chaos-binary-output-stream)))
	   (:bidirectional
	    (cond (ascii-translation 'chaos-ascii-translating-stream)
		  (characters 'chaos-character-stream)
		  (t 'chaos-binary-stream))))))
  (send new ':set-conn conn)
  new)
