$! Define the logical names and symbols for running and maintaining NIL.
$! NIL$DISK is defined in the NILINSTAL command procedure.
$! The only logical name needed for simply running NIL is NIL$TERMCAP,
$! and the only DCL symbol is NIL. -George Carrette.
$!
$	DEF	NILCOM		NIL$DISK:[NIL.COM]
$	DEF	NILDOC		NIL$DISK:[NIL.DOC]
$	DEF	NILEXE		NIL$DISK:[NIL.EXE]
$	DEF	NILHAK		NIL$DISK:[NIL.HACKS]
$	DEF	NILLIB		NIL$DISK:[NIL.LIB]
$	DEF	NILLIS		NIL$DISK:[NIL.LIS]
$	DEF	NILOBJ		NIL$DISK:[NIL.OBJ]
$	DEF	NILTXT		NIL$DISK:[NIL.TXT]
$	DEF	NILVAS		NIL$DISK:[NIL.VAS]
$	DEF	VM		NIL$DISK:[NIL.VM]
$	DEF	VX		NIL$DISK:[NIL.VM.MACROS]
$	DEF	NILTMP		NIL$DISK:[NIL.TMP]
$	DEF	NIL$MAXROHEADER NIL$DISK:[NIL.COM]NILMAX.MIX
$	DEF	NIL$VASL_HEADER NIL$DISK:[NIL.COM]VASLMAX.MIX
$	DEF	NIL$TERMCAP	NIL$DISK:[NIL.TERMCAP]TERMCAP.
$!
$! Define DCL command symbols.
$! 
$ NIL :==$NIL$DISK:[NIL.DUMP]RNIL @NIL$DISK:[NIL.DUMP]NIL     ! installed
$ XNIL :==$NIL$DISK:[NIL.DUMP]RNIL @NIL$DISK:[NIL.DUMP]XNIL   ! experimental
$ LXNIL	:==$NIL$DISK:[NIL.DUMP]RNIL @NIL$DISK:[NIL.DUMP]LXNIL     ! link exp
$ lxbnil :==$NIL$DISK:[NIL.DUMP]RNIL @NIL$DISK:[NIL.DUMP]LXBNIL   ! link mini
$ lisplink :==@NIL$DISK:[NIL.PORT]LISPLINK
$ LXCNIL :==$NIL$DISK:[NIL.DUMP]RNIL @NIL$DISK:[NILCHAOS]LXCNIL     ! link exp
$!
$ bliv :== @NILCOM:bliv			! bliss a vm file
$ maxro :== @NILCOM:maxro		! xform and assemble a .MAX file
$ mlb :== @NILCOM:MLB NODEBUG		! construct <NIL>LISP.MLB
$ nv :== @NILCOM:nv			! maxro a vm file
$ nvb :== @NILCOM:nvb			! batch maxro a vm file
$ xmlb :== @NILCOM:MLB DEBUG		! debug mlb
$ nlink :== @NILOBJ:LINK		! link a nil vm
$ xformer :== $NILHAK:XFORMER		! xform .MAX to .MAR
$ !
