;;; -*- MODE: LISP; BASE: 10; PACKAGE: HOST -*-

(herald nhosttab)

(EVAL-WHEN (EVAL COMPILE)
	   (OR (GET 'SI:RMSMDF 'VERSION)
	       (LOAD "NIL$DISK:[NIL.VAS]RMSMDF"
		     :BINARY T
		     :SET-DEFAULT-PATHNAME NIL)))
	 
	  
	 (SI:DEFRMSSTRUCT 	$NETDEF
	
	
	  
	 SI:$DEF	NET$B_NUMBER		 		
	 			SI:BLKB	1 
	 SI:$DEF	NET$B_SIZE		 			
	 			SI:BLKB	1 
	 SI:$DEF	NET$T_NAME		 		
	 SI:$EQU	NET$S_NAME 16
	 			SI:BLKB	16 
	 SI:$DEF	NET$C_LENGTH
	 SI:$DEF	NET$K_LENGTH					
	
	)
	
	  
	 
	 
 
 
 
  
 (SI:DEFRMSSTRUCT 	$NIKDEF


  
 SI:$DEF	NIK$T_NAME		 		
 SI:$EQU	NIK$S_NAME 32
 			SI:BLKB	32 
 SI:$DEF	NIK$W_HOST		 			
 			SI:BLKW	1 
 SI:$DEF	NIK$C_LENGTH
 SI:$DEF	NIK$K_LENGTH					

)

  
 
  
 (SI:DEFRMSSTRUCT 	$HSTDEF


  
 SI:$DEF	HST$T_NAME		 		
 SI:$EQU	HST$S_NAME 32
 			SI:BLKB	32 
 SI:$DEF	HST$T_MACHINE		 		
 SI:$EQU	HST$S_MACHINE 16
 			SI:BLKB	16 
 SI:$DEF	HST$T_OPSYS		 		
 SI:$EQU	HST$S_OPSYS 16
 			SI:BLKB	16 
 SI:$DEF	HST$B_SERVERP		 		
 			SI:BLKB	1 
 SI:$DEF	HST$B_ADDR_CNT		 		
 			SI:BLKB	1 
 SI:$DEF	HST$L_ADDRESS		 		
 			SI:BLKL	10 
 SI:$DEF	HST$C_LENGTH
 SI:$DEF	HST$K_LENGTH					
 SI:$EQU	HST$K_ADDR_MAX	10			
 SI:$EQU	HST$K_RAND_LEN	32			

)

  
 
 
  
 (SI:DEFRMSSTRUCT 	$NADDEF


 SI:$DEF	NAD$W_HOST		 			
 			SI:BLKW	1 
 SI:$DEF	NAD$B_SUBNET		 		
 			SI:BLKB	1 
 SI:$DEF	NAD$B_NET		 			
 			SI:BLKB	1 
 SI:$DEF	NAD$C_LENGTH
 SI:$DEF	NAD$K_LENGTH					

)

  
 
 
  
 (SI:DEFRMSSTRUCT 	$NIDDEF


  
 SI:$DEF	NID$L_ADDRESS		 		
 			SI:BLKL	1 
 SI:$DEF	NID$W_HOST		 			
 			SI:BLKW	1 
 SI:$DEF	NID$C_LENGTH
 SI:$DEF	NID$K_LENGTH					

)

  
 
 
  
 (SI:DEFRMSSTRUCT 	$HNPDEF


  
 SI:$DEF	HNP$L_PARSE_ERR		 		
 					
 			SI:BLKL	1 
 SI:$DEF	HNP$Q_NET_NAME		 		
 			SI:BLKQ	1 
 SI:$DEF	HNP$Q_HOST_NAME		 		
  					
  					
 			SI:BLKQ	1 
 SI:$DEF	HNP$L_HOST_REC		 		
 			SI:BLKL	1 
 SI:$DEF	HNP$L_NET_NUM		 		
 			SI:BLKL	1 
 SI:$DEF	HNP$L_FLAGS		 			
 	SI:$VIELD	HNP SI:! 0 SI:! (  
 		(EXPL_HOST SI:!  SI:! SI:M)  		
 		(EXPL_NET SI:!  SI:! SI:M)   		
 		(RAND_NET SI:!  SI:! SI:M)   		
 		(HOST_NAME SI:!  SI:! SI:M)  		
 		)	
 			SI:BLKL	1 
 SI:$DEF	HNP$L_HOST		 			
 			SI:BLKL	1 
 SI:$DEF	HNP$L_SUBNET		 		
 			SI:BLKL	1 
 SI:$DEF	HNP$C_LENGTH
 SI:$DEF	HNP$K_LENGTH					
 					

)

  
  
  
 (SI:DEFRMSSTRUCT 	$HIODEF


 SI:$EQU	HIO$K_REC_HOST	1			
 SI:$EQU	HIO$K_REC_ADDR	2			
 SI:$EQU	HIO$K_REC_NAME	3			
 SI:$EQU	HIO$K_REC_DIAL	4			
 SI:$EQU	HIO$K_REC_RAND	5			
 SI:$EQU	HIO$K_REC_NETS	6			
 SI:$EQU	HIO$K_LIST	20				
  
 SI:$DEF	HIO$Q_DESC		 			
 			SI:BLKQ	1 
 SI:$DEF	HIO$B_TYPE		 			
 			SI:BLKB	1 
 SI:$DEF	HIO$C_LENGTH
 SI:$DEF	HIO$K_LENGTH		 
 SI:$DEF	HIO$T_DATA		 			
 SI:$EQU	HIO$S_DATA 1		 			
 			SI:BLKB	1 

)

  

  
 (SI:DEFRMSSTRUCT 	$HLSDEF


 SI:$DEF	HLS$Q_LINK		 			
 			SI:BLKQ	1 
 SI:$DEF	HLS$L_OBJECT		 		
 			SI:BLKL	1 
 SI:$DEF	HLS$C_LENGTH
 SI:$DEF	HLS$K_LENGTH		 

)

