;;; -*- Mode:Lisp; Patch-File:Yes; Package:CHAOS; Base:10 -*-
;;; Bad case form in (:method chaos-stream :read-byte)
;;; Written 4/22/83 01:43:55 by PAO
;;; Experimental Chaos 1.0, Experimental Lisp 341.1, VM 977, COMMON-LISP Readtable

(defmethod (chaos-stream :read-byte) ()
  (cond ((not (null unget-buffer))
	 (prog1 unget-buffer (setq unget-buffer nil)))
	(eof-seen nil)
	((> in-count 0)
	 (prog1 (pkt-data in-buffer in-pointer)
		(setq in-pointer (1+ in-pointer))
		(setq in-count (1- in-count))
		(when (= in-count 0)
		  (return-pkt in-buffer))))	; save storage
	(t
	 (let ((val (errset (setq in-buffer (get-next-pkt conn)) nil)))
	   (when (null val)
	     (ferror () "Attempt to read from connection in illegal state:~%~
		        conn = ~S, state = ~S" conn (state conn)))
	   (case (pkt$b_opcode in-buffer)
	     (#.pkt$k_eof
	      (return-pkt in-buffer)
	      (setq in-buffer nil eof-seen t)
	      nil)
	     (#.pkt$k_cls
	      (let ((errstr (pkt-string in-buffer)))
		(return-pkt in-buffer)
		(setq in-buffer nil eof-seen t)
		(ferror () "Connection got an error: ~S" errstr)))
	     (t (setq in-count (pkt$w_nbytes in-buffer))
		(setq in-pointer 0)
		(send self ':read-byte)))))))
