;;; -*- Mode: Lisp; Package: CHAOS-INTERNALS; Base: 10. -*-

(herald syscalls)

(defsyscall ($qio sys$qio)
  (efn :in :long)
  (chan :in :word :required)
  (func :in :long :required)
  (iosb :out :bits)
  (astadr :in :long)		; can't use this yet...
  (astprm :in :long)		; then this is bogus...
  (p1 :in :long)
  (p2 :in :long)
  (p3 :in :long)
  (p4 :in :long)
  (p5 :in :long)
  (p6 :in :long))

(defsyscall ($qiow sys$qiow)
  (efn :in :long)
  (chan :in :word :required)
  (func :in :long :required)
  (iosb :out :bits)
  (astadr :in :long)		; can't use this yet...
  (astprm :in :long)		; then this is bogus...
  (p1 :in :long)
  (p2 :in :long)
  (p3 :in :long)
  (p4 :in :long)
  (p5 :in :long)
  (p6 :in :long))

(defsyscall ($assign sys$assign)
  (devnam :in :string :required)
  (chan :out :word :required)
  (acmode :in :long)
  (mbxnam :in :bits))

(defsyscall ($dassgn sys$dassgn)
  (chan :in :word :required))

;;(defsyscall (get_ef lib$get_ef)
;;  (efn :out :byte :required))
;;
;;(defsyscall (free_ef lib$free_ef)
;;  (efn :in :byte :required))

(defsyscall ($setimr sys$setimr)
  (efn :in :byte)
  (daytim :in :bits :required)
  (astadr :in :long)			; not usable
  (reqidt :in :long))

(defsyscall ($cantim sys$cantim)
  (reqidt :in :long)
  (acmode :in :byte))

;;(defsyscall ($clref sys$clref)
;;  (efn :in :word :required))
;;
;;(defsyscall ($setef sys$setef)
;;  (efn :in :word :required))

;;(si:def-vms-call-interface $readef
;;  (efn :in :long :required)
;;  (state :out :bits :required))
;;
;;(si:def-vms-call-interface $waitfr
;;  (efn :in :byte :required))
;;
;;(si:def-vms-call-interface $cancel
;;  (chan :in :word :required))
;;
;;(si:def-vms-call-interface $alloc
;;  (name :in :string :required)
;;  (phylen :out :word)
;;  (phynam :out :string)
;;  (acmode :in :word))
;;
;;(si:def-vms-call-interface $dalloc
;;  (name :in :string)
;;  (acmode :in :word))
;;
;;(defun init-syscalls ()
;;  (si:enable-vms-call-trampoline '$readef 'chaos$readef "nil$chaos:obj.stb")
;;  (si:enable-vms-call-trampoline '$dalloc 'chaos$dalloc "nil$chaos:obj.stb")
;;  (si:enable-vms-call-trampoline '$alloc 'chaos$alloc "nil$chaos:obj.stb")
;;  (si:enable-vms-call-trampoline '$waitfr 'chaos$waitfr "nil$chaos:obj.stb")
;;  (si:enable-vms-call-trampoline '$cancel 'chaos$cancel "nil$chaos:obj.stb"))

;;;; specialized $QIOW calls

(defsyscall ($pktio sys$qiow)
  (efn :in :long)
  (chan :in :word :required)
  (func :in :word :required)
  (iosb :out :bits)
  (astadr :in :long)		; can't use this yet...
  (astprm :in :long)		; then this is bogus...
  (pkt :in :bits)
  (pktlen :in :word)
  (p3 :in :long)
  (p4 :in :long)
  (p5 :in :long)
  (p6 :in :long))
